curl --request GET \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
--header 'Authorization: Bearer <token>'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"stages": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z",
"writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}curl --request GET \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
--header 'Authorization: Bearer <token>'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"stages": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z",
"writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Whether the pipeline is archived.
The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.
Show child attributes
The date the pipeline was last updated.
The date the pipeline was archived. archivedAt will only be present if the pipeline is archived.
Was this page helpful?